#
# spec file for package octave-forge-parallel
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define octpkg  parallel
Name:           octave-forge-%{octpkg}
Version:        3.0.2
Release:        5.6
Summary:        Parallel Computing for Octave
License:        GPL-3.0+
Group:          Productivity/Scientific/Math
Url:            http://octave.sourceforge.net
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  gnutls-devel
BuildRequires:  hdf5-devel
BuildRequires:  octave-devel
BuildRequires:  pkgconfig
BuildRequires:  zlib-devel
Requires:       octave-cli >= 3.8.0

%description
Parallel execution package.
This is part of Octave-Forge project.

%prep
%setup -q -c %{name}-%{version}
%octave_pkg_src

%build
%octave_pkg_build

%install
%octave_pkg_install

%check
%octave_pkg_test

%post
%octave --eval "pkg rebuild"

%postun
%octave --eval "pkg rebuild"

%files
%defattr(-,root,root)
%{octpackages_dir}/%{octpkg}-%{version}
%{octlib_dir}/%{octpkg}-%{version}

%changelog
* Thu Aug 13 2015 dmitry_r@opensuse.org
- Update to version 3.0.2
  * Bugfix release
* Tue Jul 14 2015 dmitry_r@opensuse.org
- Update to version 3.0.0
  * 'parcellfun' and 'pararrayfun' accept an option "CumFunc" for
    cumulative results.
  * Fix handling of option "UniformOutput" with option "Vectorized" in
    'pararrayfun'.
  * Function 'connect()' has been renamed to 'pconnect()' since the
    previous name is used by the control package.
  * New functions 'netcellfun' and 'netarrayfun' for remote parallel
    execution.
  * New convenience function 'rfeval' for single remote function
    execution.
  * New function 'install_vars' to distribute named variables over the
    parallel cluster.
  * The value returned by pconnect and the variable 'sockets' held by
    pserver, holding the network connections, are now opaque. Indexing
    the connections in this value should work as with the matrix used
    before.
  * Connections can be based on TLS-SRP, which is now the default. New
    function parallel_generate_srp_data generates authorization data.
  * Parallel cluster commands hanging in system calls (e.g. trying to
    read data that was not sent) can be interrupted with Ctrl-C
    (invalidating the network connections in most cases, so that
    information within server memory will be lost).
  * New functions 'network_get_info' and 'network_set'.
  * Within a particular parallel network, servers are supposed to be
    unique now. But a server can be a part of several parallel
    networks, and successful connection attempts of such overlapping
    networks should now be possible even if initiated from different
    client machines or client processes at the same time.
  * Removed deprecated bw_... group of functions.
* Fri Mar 13 2015 dmitry_r@opensuse.org
- Updte to version 2.2.1
  * The bw_... group of functions has been deprecated and will be
    removed in the future.
  * Made compatible with Octave 4.0.
  * Made parcellfun/pararrayfun a bit more stable.
* Thu Feb 26 2015 dmitry_r@opensuse.org
- Split from octave-forge package, version 2.2.0
